﻿using ComPDFKit.PDFDocument;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PDF_Office.Model.EditTools.Background
{
    public class BackgroundCreateModel
    {
    }

    public enum EnumBackgroundType
    {
        StatusColor,
        StatusFile
    }

    public class BackgroundInfo
    {
        public byte[] Color { get; set; }
        public int Rotation { get; set; }
        public byte Opacity { get; set; }
        public bool IsRelativeRatio { get; set; }
        public int RelativeRatio { get; set; }
        public int Scale { get; set; }
        /// <summary>
        /// 背景相对垂直距离;
        /// </summary>
        public float VertOffset = 0;

        /// <summary>
        /// 背景相对水平距离;
        /// </summary>
        public float HorizOffset = 0;

        public int ImageWidth { get; set; }
        public int ImageHeight { get; set; }

        public string PageRange = "0";
        public C_Background_Vertalign Vertalign { get; set; }
        public C_Background_Horizalign Horizalign { get; set; }
        public C_Background_Type BackgroundType { get; set; }
        public byte[] ImageArray { get; set; }
    }
}
