﻿using ComPDFKitViewer;
using PDF_Office.ViewModels.EditTools.Watermark;
using System.Windows;
using System.Windows.Controls;

namespace PDF_Office.Views.EditTools.Watermark
{
    /// <summary>
    /// Interaction logic for WatermarkTemplateListFileContent
    /// </summary>
    public partial class WatermarkTemplateListFileContent : UserControl
    {
        private WatermarkTemplateListFileContentViewModel viewModel;
        public WatermarkTemplateListFileContent()
        {
            InitializeComponent();
            viewModel = this.DataContext as WatermarkTemplateListFileContentViewModel;
        }

        private void DeleteTemplateBtn_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            viewModel.DeleteTemplateItemCommand?.Execute(sender);
        }

        private void ListBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            viewModel.SelectTemplateItemCommand?.Execute(sender);
        }

        private void MenuEdit_Click(object sender, RoutedEventArgs e)
        {

        }

        private void MenuDeleteCurrent_Click(object sender, RoutedEventArgs e)
        {
            viewModel.DeleteTemplateItemCommand?.Execute(sender);

        }

        private void MenuDeleteAll_Click(object sender, RoutedEventArgs e)
        {
            viewModel.DeleteAllTemplateItemCommand?.Execute();
        }
    }
}
